<?php
defined('TYPO3') || die();

(static function() {
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'T3campusYtseriesV11',
        'Pagecity',
        [
            \Slavlee\T3campusYtseriesV11\Controller\PageCityController::class => 'list'
        ],
        // non-cacheable actions
        [
            \Slavlee\T3campusYtseriesV11\Controller\PageCityController::class => ''
        ]
    );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    pagecity {
                        iconIdentifier = t3campus_ytseries_v11-plugin-pagecity
                        title = LLL:EXT:t3campus_ytseries_v11/Resources/Private/Language/locallang_db.xlf:tx_t3campus_ytseries_v11_pagecity.name
                        description = LLL:EXT:t3campus_ytseries_v11/Resources/Private/Language/locallang_db.xlf:tx_t3campus_ytseries_v11_pagecity.description
                        tt_content_defValues {
                            CType = list
                            list_type = t3campusytseriesv11_pagecity
                        }
                    }
                }
                show = *
            }
       }'
    );
})();
